from flask_restful import Resource, reqparse

from lock import lock
from datetime import datetime

from models.obtainCryptoModel import ObtainCryptoModel

from .auth import auth

class ObtainCrypto(Resource):

    def get(self, address=None):
        with lock.lock:
            try:
                if address:
                    user_request = ObtainCryptoModel.find_by_user(address)
                    print(user_request)
                    if len(user_request) > 0:
                        #my_json = user.json()
                        try:
                            return {'user_request': user_request}, 200
                        except Exception as e:
                            return {'message': 'An error ocurred while finding the content of user in th table Obtain Crypto. '
                                               'Error {}:{}'.format(type(e), e)}, 404
                    return {'message': 'User does not exists'}, 404
                return {'message': 'No address was provided!'}, 400
            except Exception as e:
                return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500
    
    @auth.login_required
    def post(self, address=None):
        with lock.lock:
            parser = reqparse.RequestParser()

            parser.add_argument('user', type=str, required=True, help="This field cannot be left blank.")
            parser.add_argument('amount_eth', type=str, required=True, help="This field cannot be left blank.")

            data = parser.parse_args()

            if data:
                user = data['user']
                amount_eth = data['amount_eth']
                try:
                    update_date = datetime.now().strftime('%d/%m/%y %H:%M:%S')
                    user_request_eth = ObtainCryptoModel(user=user, amount_eth=amount_eth, date=update_date)
                    my_json = user_request_eth.save_to_db()
                    return {'user_request': my_json}, 201
                except Exception as e:
                    return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500
            return
    

class ObtainCryptoList(Resource):

    def get(self):
        with lock.lock:
            try:
                response_code = 201
                ret = ObtainCrypto.get_all()
                if not ret:
                    response_code = 204
                return {'Obtain Crypto': ret}, response_code
            except:
                return {'message': 'Collection of requests to obtain crypto not found'}, 400