from flask_restful import Resource, reqparse

from models.betModel import BetModel
from lock import lock
from datetime import datetime
from datetime import timedelta

from models.themesModel import ThemesModel


class Theme(Resource):

    def get(self, id=None):
        with lock.lock:
            try:
                if id:
                    theme = ThemesModel.find_by_id(id)
                    if theme.exists:
                        try:
                            return {'theme': theme.json()}, 200
                        except Exception as e:
                            return {'message': 'An error ocurred while finding the content of the theme. '
                                               'Error {}:{}'.format(type(e), e)}, 404
                    return {'message': 'Theme does not exists'}, 404
                return {'message': 'No id was provided!'}, 400
            except Exception as e:
                return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500
    

class ThemesList(Resource):

    def get(self):
        with lock.lock:
            try:
                response_code = 201
                ret = ThemesModel.get_all()
                if not ret:
                    response_code = 204
                return {'themes': ret}, response_code
            except:
                return {'message': 'Collection of themes not found'}, 400