from unittest import result
from flask_restful import Resource, reqparse
import requests
from models.wordleModelSpanish import WordleModelSpanish

from models.wordleWordModel import WordleWordModel
from lock import lock
from .words import languages_available, words_spanish

import random
from datetime import datetime
from datetime import timedelta

from .auth import auth
from .encryption import encrypt

class WordleWord(Resource):

    @auth.login_required
    def get(self, language=None):
        with lock.lock:
            try:
                if language:
                    wordle_word = WordleWordModel.find_by_language(language)
                    print(wordle_word)
                    if len(wordle_word) > 0:
                        try:
                            # mirar si la fecha es válida
                            date_format = '%d/%m/%y'
                            wordle_word_id= list(wordle_word.keys())[0]
                            #print(wordle_word_id)
                            values= list(wordle_word.items())[0][1]
                            date_time_str = values['valid_date']
                            # print(date_time_str)
                            date_time_obj = datetime.strptime(date_time_str, date_format) + timedelta(days=1)
                            # update word if valid date + 1 (ya que son  las 00:00) 
                            if (date_time_obj < datetime.now()):
                                print(date_time_obj)
                                print(datetime.now())
                                # update word
                                if language in languages_available:
                                    word=""
                                    update_date = datetime.now().strftime('%d/%m/%y %H:%M:%S')
                                    valid_date = datetime.now().strftime('%d/%m/%y')
                                    print(update_date)
                                    print(valid_date)
                                    if language == "castellano":
                                        result = '-1'
                                        word = ''
                                        # mentres no sigui una paraula que estigui al diccionari
                                        while (not result != '-1'):
                                            word = random.choice(words_spanish)
                                            print(word) 
                                            # mirem si la paraula hi és al diccionari online
                                            url = 'https://es.wiktionary.org/w/api.php?action=query&titles='+word.lower()+'&format=json'
                                            resp = requests.get(url)
                                            result = list(resp.json()['query']['pages'].keys())[0]
                                        # here delete all wordle-castellano table
                                        WordleModelSpanish.delete_all()
                                    try:
                                        # encrypt the word
                                        word_encrypted = encrypt(word)
                                        word = word_encrypted.decode("utf-8", "ignore")
                                        print(word)
                                        my_json = WordleWordModel.update_by_id(wordle_word_id, word=word, valid_date=valid_date, update_date=update_date).json()
                                        return {'word': my_json}, 201
                                    except Exception as e:
                                        return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500
                                else:
                                    return {'message': 'This language is not available.'}, 404
                            return {'word': wordle_word}, 200
                        except Exception as e:
                            return {'message': 'An error ocurred while finding the content of the word. '
                                               'Error {}:{}'.format(type(e), e)}, 404
                    # word not found by language -> create new word on datebase with this language if it's available
                    else:
                        if language in languages_available:
                            word=""
                            update_date = datetime.now().strftime('%d/%m/%y %H:%M:%S')
                            valid_date = datetime.now().strftime('%d/%m/%y')
                            print(update_date)
                            print(valid_date)
                            if language == "castellano":
                                result = '-1'
                                word = ''
                                # mentres no sigui una paraula que estigui al diccionari
                                while (not result != '-1'):
                                    word = random.choice(words_spanish)
                                    print(word) 
                                    # mirem si la paraula hi és al diccionari online
                                    url = 'https://es.wiktionary.org/w/api.php?action=query&titles='+word.lower()+'&format=json'
                                    resp = requests.get(url)
                                    result = list(resp.json()['query']['pages'].keys())[0]
                            try:
                                # encrypt the word
                                word_encrypted = encrypt(word)
                                word = word_encrypted.decode("utf-8", "ignore")
                                wordle_word = WordleWordModel(word, language, valid_date, update_date)
                                my_json = wordle_word.save_to_db()
                                return {'word': my_json}, 201
                            except Exception as e:
                                return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500
                        else:
                            return {'message': 'This language is not available.'}, 404
                return {'message': 'No language was provided!'}, 400
            except Exception as e:
                return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500

    """
    def post(self, language=None):
        with lock.lock:
            parser = reqparse.RequestParser()

            parser.add_argument('word', type=str, required=True, help="This field cannot be left blank.")
            parser.add_argument('language', type=str, required=True, help="This field cannot be left blank.")
            parser.add_argument('valid_date', type=str, required=True, help="This field cannot be left blank.")
            parser.add_argument('update_date', type=str, required=True, help="This field cannot be left blank.")

            data = parser.parse_args()
            if data:
                word = data['word']
                language = data['language']
                valid_date = data['valid_date']
                update_date = data['update_date']
                try:
                    wordle_word = WordleWordModel(word, language, valid_date, update_date)
                    my_json = wordle_word.save_to_db()
                    return {'word': my_json}, 201
                except Exception as e:
                    return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500
            return

    def delete(self, id):
        with lock.lock:
            try:
                WordleWordModel.delete_by_id(id)
                return {'message': 'Word deleted successfully'}, 200
            except Exception as e:
                return {'message': 'Internal server error. Error {}:{}'.format(type(e), e)}, 500

    def put(self):
        with lock.lock:
            parser = reqparse.RequestParser()

            try:
                parser.add_argument('word', type=str)
            except:
                pass
            try:
                parser.add_argument('language', type=str)
            except:
                pass
            try:
                parser.add_argument('valid_date', type=str)
            except:
                pass
            try:
                parser.add_argument('update_date', type=str)
            except:
                pass

            data = parser.parse_args()

            if data['word']: word = data['word']
            if data['language']: language = data['language']
            if data['valid_date']: valid_date = data['valid_date']
            if data['update_date']: update_date = data['update_date']

            if not id:
                if language:
                    wordle_word = WordleWordModel.find_by_language(language)
                    try:
                        wordle_word.update_from_db(word, valid_date, update_date)
                        wordle_word.save_to_db()
                        return {'word': word.json()}, 200
                    except:
                        return {'message': 'Internal server error'}, 500
                else:
                    return {
                               'message': 'Without a word, a language, a valid date and an update date, its not possible to save/modify a word'}, 400
    
    """

class WordleWordList(Resource):

    @auth.login_required
    def get(self):
        with lock.lock:
            try:
                response_code = 201
                ret = WordleWordModel.get_all()
                if not ret:
                    response_code = 204
                return {'words': ret}, response_code
            except:
                return {'message': 'Collection of words not found'}, 400