from termcolor import cprint

from models.userModel import UserModel

address = "0x431904831"
nonce = "u2142213214r123"

numberOfTests = 0
testsPassed = 0

def printTestSeparator():
    print("")
    print("===================================")
    print("")

userTest = UserModel(address)

print("Test 1: Save address to DB.")
numberOfTests += 1
try:
    userTest.save_to_db()
    cprint("User saved to DB successfully.", 'green')
    testsPassed += 1
except:
    cprint("Something went wrong when saving user to DB.", 'red')

userTestId = userTest.id

print(userTestId)

printTestSeparator()

print("Test 2: Get user from DB")
numberOfTests += 1
try:
    user_data = UserModel.find_by_id(userTestId)
    print(user_data.json())
    if user_data.address == address:
        cprint("User recovered from DB successfully.", 'green')
        testsPassed += 1
    else: cprint("Data recovered is not the same.", 'red')
except:
    cprint("Something went wrong while recovering the user from DB.", 'red')

printTestSeparator()

print("Test 3: Update user from DB.")
numberOfTests += 1
try:
    addressUpdated = "Address updated"
    nonceUpdated = "Nonce updated"

    UserModel.update_by_id(userTestId, addressUpdated, nonceUpdated)
    user_data = UserModel.find_by_id(userTestId)
    if user_data.address == addressUpdated and user_data.date == nonceUpdated:
        cprint("User updated to DB successfully.", 'green')
        testsPassed += 1
    else:
        cprint("Data recovered is not the same.", 'red')
except:
    cprint("Something went wrong while recovering the user from DB.", 'red')

printTestSeparator()

print("Test 4: Delete user from DB.")
numberOfTests += 1
try:
    UserModel.delete_by_id(userTestId)
    try:
        user_data = UserModel.find_by_id(userTestId)
        if user_data.exists: cprint("User not deleted.", 'red')
        else:
            testsPassed += 1
            cprint("User deleted from DB successfully.", 'green')
    except:
        cprint("User deleted from DB successfully.", 'green')
        testsPassed += 1
except:
    cprint("Something went wrong while deleting the user from DB.", 'red')

printTestSeparator()


cprint("Results: Tests passed: " + str(testsPassed) + ". Tests done: " + str(numberOfTests) + ". Total: " + str(testsPassed / numberOfTests) + ".", 'blue')