import LoginMetaMask from '../metamask-auth/login-metamask';
import Wordle from '../wordle/Wordle';
import {BrowserRouter as Router, Route, Routes} from 'react-router-dom'
import Header from '../header/header';
import Home from '../../pages/Home';
import Store from '../../pages/Store';
import SendEthereum from '../../pages/SendEthereum';
import SendETH from '../send-eth/SendETH';
import WordleGame from '../../pages/WordleGame';
import ObtainCrypto from '../../pages/ObtainCrypto';
import HowToPlay from '../../pages/HowToPlay';
import WordleCryptoRandomGame from '../../pages/WordleCryptoRandomGame';
import Multiplayer from '../../pages/Multiplayer';
import JoinRoom from '../multiplayer/JoinRoom';
import CreateRoom from '../multiplayer/CreateRoom';
import JoinRoomMultiplayer from '../../pages/JoinRoomMultiplayer';
import WordleGameMultiplayer from '../../pages/WordleGameMultiplayer';
import About from '../About/About';
import AboutPage from '../../pages/AboutPage';

function App() {
    return (
        <Router>
            <Routes>
                <Route exact path='/' element={<LoginMetaMask/>}/>
                <Route exact path="/wordle" element={<WordleGame/>}/>
                <Route exact path="/home" element={<Home/>}/>
                <Route exact path="/store" element={<Store/>}/>
                <Route exact path="/send-ethereum" element={<SendEthereum/>}/>
                <Route exact path="/obtain-cryptos" element={<ObtainCrypto/>}/>
                <Route exact path="/how-to-play" element={<HowToPlay/>}/>
                <Route exact path="/wordle-random" element={<WordleCryptoRandomGame/>}/>
                <Route exact path="/multiplayer" element={<Multiplayer/>}/>
                <Route exact path="/join-room" element={<JoinRoomMultiplayer/>}/>
                <Route exact path="/wordle-multiplayer" element={<WordleGameMultiplayer/>}/>
                <Route exact path="/about" element={<AboutPage/>}/>
            </Routes>
        </Router>
    );
}

export default App;
