import { Button, Snackbar } from '@mui/material'
import { useState } from 'react'
import ShareIcon from "@mui/icons-material/Share";
import { IconButton } from '@material-ui/core';

const CopyToClipboardButton = ({roomID}) => {
    const [open, setOpen] = useState(false)
    const handleClick = () => {
        setOpen(true)
        navigator.clipboard.writeText(roomID)
        console.log(roomID + " copied!")
    }
    return (
        <>
        <IconButton onClick={handleClick} color="primary">
            <ShareIcon />
        </IconButton>
        <Snackbar
            open={open}
            onClose={() => setOpen(false)}
            autoHideDuration={1000}
            message="Copied to clipboard"
        />
        </>
    )
}
export default CopyToClipboardButton