import { Button, ButtonBase } from "@mui/material";
import React from "react";
import { Navigate, useNavigate } from "react-router-dom";

class EndGameMultiplayer extends React.Component {
    render() {
      return (
        <div className="endgame">
          <div className="endgame-container">
            <h3 className="endgame-titulo">
              END GAME
              <button className="endgame-salir">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  className="icon icon-tabler icon-tabler-x"
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                  strokeWidth="1.5"
                  stroke="#a3a3a3"
                  fill="none"
                  strokeLinecap="round"
                  strokeLinejoin="round"
                  onClick={() => this.props.displayEndGame()}
                >
                  <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                  <line x1="18" y1="6" x2="6" y2="18" />
                  <line x1="6" y1="6" x2="18" y2="18" />
                </svg>
              </button>
            </h3>
            {this.props.state.dailyWord&&<p className="endgame-descripcion">
              The wordle is <b>{this.props.decryptWord(this.props.state.dailyWord).toUpperCase()}</b>. 
            </p>}
            {this.props.state.win && <p className="endgame-descripcion">
                Congratulations!  
            </p>}
            {this.props.state.win && <p className="endgame-descripcion">
                You have guessed the word of the day in <b>{this.props.state.row - 1}</b> attempts.
            </p>}
            {this.props.state.win && <p className="endgame-descripcion">
                You have been ranked number <b>{this.props.state.num_winners}</b>.
            </p>}
            {this.props.state.win && <p className="endgame-descripcion">
                You have won <b>{this.props.state.rewardETH.toString()}</b> ETH.
            </p>}
            {this.props.state.win && <p className="endgame-descripcion">
                Don't break the streak, betting for tomorrow's crypto wordle:
            </p>}

            {!this.props.state.win && <p className="endgame-descripcion">
                You lost, but you can try again tomorrow by betting for the next crypto wordle. 
            </p>}
            {!this.props.state.win && <p className="endgame-descripcion">
                Good luck!
            </p>}

            <h3 className="endgame-btncontainer">
                <button className="button" onClick={()=> {this.props.navigate("/multiplayer")}}>
                    Play again
                </button>
            </h3>

            <p className="endgame-descripcion">
                Please feel free to answer this form in order to improve Wordle Crypto's features: 
            </p>

            <h3 className="endgame-btncontainer2">
                <button className="formbtn-endgame" onClick={() => window.open("https://forms.gle/E8CCN5no7U9GkA7a8")}>Feedback Form</button>
            </h3>


            <footer className="footer-endgame">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                className="icon icon-tabler icon-tabler-brand-github"
                width="20"
                height="20"
                viewBox="0 0 24 24"
                strokeWidth="1.5"
                stroke="#a3a3a3"
                fill="none"
                strokeLinecap="round"
                strokeLinejoin="round"
              >
                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                <path d="M9 19c-4.3 1.4 -4.3 -2.5 -6 -3m12 5v-3.5c0 -1 .1 -1.4 -.5 -2c2.8 -.3 5.5 -1.4 5.5 -6a4.6 4.6 0 0 0 -1.3 -3.2a4.2 4.2 0 0 0 -.1 -3.2s-1.1 -.3 -3.5 1.3a12.3 12.3 0 0 0 -6.2 0c-2.4 -1.6 -3.5 -1.3 -3.5 -1.3a4.2 4.2 0 0 0 -.1 3.2a4.6 4.6 0 0 0 -1.3 3.2c0 4.6 2.7 5.7 5.5 6c-.6 .6 -.6 1.2 -.5 2v3.5" />
              </svg>
              <a href="https://github.com/jorbush">Jordi Bonet</a>
            </footer>
          </div>
        </div>
      );
    }
  }
  export default EndGameMultiplayer;