import { Navigate, useNavigate } from "react-router-dom";
import React, { useEffect, useState } from "react";
import { startReward, startRewardWeb3, startRewardWeb3V2, startRewardWeb3V3 } from "../send-eth/SendETH";
import { checkIfWalletIsConnected } from "../metamask-auth/connect";
import { cssTransition, toast } from "react-toastify";
import { ethers } from "ethers";
import { AmountETH } from "../../constants/constants";

const bounce = cssTransition({
  enter: "animate__animated animate__bounceIn",
  exit: "animate__animated animate__bounceOut"
});

function JoinedWordle({betDate}) {
    const navigate = useNavigate();
    const [error, setError] = useState();
    const [txs, setTxs] = useState([]);
    const [rewardSend, setRewardSend] = useState(false);
    const [userAddress, setUserAddress] = useState("");
    const [loaded, setLoaded] = useState(false);

    useEffect(() => {
      checkIfWalletIsConnected(setUserAddress);
      // checked when the page loads the first time
    }, []);

    useEffect(()=>{
      if (error !== undefined){
          console.log(error)
          toast.dark(error, {transition: bounce});
      }
    },[error])
    
    useEffect(()=>{
        if (txs.length > 0){
            console.log(txs)
            toast.dark("Successful transaction!", {transition: bounce});
            // put 
            //putUserInBed()
        }
    },[txs])

    useEffect(() => {
      if (userAddress!==""){
        try{
          console.log(userAddress)
          ethers.utils.getAddress(userAddress);
          setLoaded(true)
        } catch (err) {
          Navigate("/");
        }
      }
    }, [userAddress]);

    useEffect(() => {
        setTimeout(function () { 
            // navigate("/wordle");
            // getReward()
        }, 5000);
    }, [loaded]);

    const getReward = async () => {
      if (loaded && !(rewardSend)){
        await startRewardWeb3({setError, setTxs, ether: AmountETH.toString(), addr: userAddress});
        setRewardSend(true)
      }
  }

    return (
      <div>
        You have bet for the next Wordle. 
        Come back tomorrow ({betDate}) at 00:00 hours to play it.
      </div>
    );
}
export default JoinedWordle;