import React from "react";

class Keyboard extends React.Component {
    renderKey(i) {
      return (
        <button className="key" id={i} onClick={() => this.props.onClick(i)}>
          {i}
        </button>
      );
    }
  
    render() {
      return (
        <div className="keyboard">
          <div className="fila-keyboard">
            {this.renderKey("Q")}
            {this.renderKey("W")}
            {this.renderKey("E")}
            {this.renderKey("R")}
            {this.renderKey("T")}
            {this.renderKey("Y")}
            {this.renderKey("U")}
            {this.renderKey("I")}
            {this.renderKey("O")}
            {this.renderKey("P")}
          </div>
          <div className="fila-keyboard">
            {this.renderKey("A")}
            {this.renderKey("S")}
            {this.renderKey("D")}
            {this.renderKey("F")}
            {this.renderKey("G")}
            {this.renderKey("H")}
            {this.renderKey("J")}
            {this.renderKey("K")}
            {this.renderKey("L")}
            {this.renderKey("Ñ")}
          </div>
          <div className="fila-keyboard">
            <button
              className="key key-special enter"
              onClick={ async () => {
                await this.props.onClick("Enter");
                await this.props.llenarArray();
                await this.props.guardarEstado();
              }}
            >
              ENVIAR
            </button>
            {this.renderKey("Z")}
            {this.renderKey("X")}
            {this.renderKey("C")}
            {this.renderKey("V")}
            {this.renderKey("B")}
            {this.renderKey("N")}
            {this.renderKey("M")}
            <button
              onClick={() => this.props.onClick("Backspace")}
              className="key key-special"
            >
              <svg
                xmlns="http://www.w3.org/2000/svg"
                className="icon icon-tabler icon-tabler-backspace"
                width="24"
                height="24"
                viewBox="0 0 24 24"
                strokeWidth="1.5"
                stroke="#f5f5f5"
                fill="none"
                strokeLinecap="round"
                strokeLinejoin="round"
              >
                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                <path d="M20 6a1 1 0 0 1 1 1v10a1 1 0 0 1 -1 1h-11l-5 -5a1.5 1.5 0 0 1 0 -2l5 -5z" />
                <path d="M12 10l4 4m0 -4l-4 4" />
              </svg>
            </button>
          </div>
        </div>
      );
    }
  }
  export default Keyboard;