import { InputBase, MenuItem, Select, styled } from "@material-ui/core";
import React from "react";


class Settings extends React.Component {

  render() {
    const BootstrapInput = styled(InputBase)(({ theme }) => ({
      'label + &': {
        marginTop: theme.spacing(3),
      },
      '& .MuiInputBase-input': {
        borderRadius: 4,
        position: 'relative',
        backgroundColor: theme.palette.background.paper,
        border: '1px solid #ced4da',
        fontSize: 16,
        padding: '10px 26px 10px 12px',
        transition: theme.transitions.create(['border-color', 'box-shadow']),
        // Use the system font instead of the default Roboto font.
        fontFamily: [
          '-apple-system',
          'BlinkMacSystemFont',
          '"Segoe UI"',
          'Roboto',
          '"Helvetica Neue"',
          'Arial',
          'sans-serif',
          '"Apple Color Emoji"',
          '"Segoe UI Emoji"',
          '"Segoe UI Symbol"',
        ].join(','),
        '&:focus': {
          borderRadius: 4,
          borderColor: '#80bdff',
          boxShadow: '0 0 0 0.2rem rgba(0,123,255,.25)',
        },
      },
    }));
    return (
      <div className="settings">
        <div className="settings-container">
          <h3 className="settings-titulo">
            Settings
            <button className="ayuda-salir">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                className="icon icon-tabler icon-tabler-x"
                width="24"
                height="24"
                viewBox="0 0 24 24"
                strokeWidth="1.5"
                stroke="#a3a3a3"
                fill="none"
                strokeLinecap="round"
                strokeLinejoin="round"
                onClick={() => this.props.displaySettings()}
              >
                <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                <line x1="18" y1="6" x2="6" y2="18" />
                <line x1="6" y1="6" x2="18" y2="18" />
              </svg>
            </button>
          </h3>
          <div className="settings-opciones">
            {this.props.state.theme&&<div className="settings-opcion">
              <div>
                <p style={{marginTop: "0.6em"}} className="settings-opcion__texto">Theme</p>
              </div>
              <div>
                <div >
                  <Select
                    labelId="demo-simple-select-label"
                    id="demo-simple-select"
                    value={this.props.state.theme.name}
                    input={<BootstrapInput />}
                  >
                    {Object.values(this.props.state.themes).map((theme) => (
                      this.props.state.themesUser.includes(theme.id) && <MenuItem value={theme.name} onClick={() => this.props.changeTheme(theme)}>{theme.name}</MenuItem>
                    ))}
                  </Select>
                </div>
              </div>
            </div>}
          </div>
        </div>
        <footer className="footer-ayuda">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            className="icon icon-tabler icon-tabler-brand-github"
            width="20"
            height="20"
            viewBox="0 0 24 24"
            strokeWidth="1.5"
            stroke="#a3a3a3"
            fill="none"
            strokeLinecap="round"
            strokeLinejoin="round"
          >
            <path stroke="none" d="M0 0h24v24H0z" fill="none" />
            <path d="M9 19c-4.3 1.4 -4.3 -2.5 -6 -3m12 5v-3.5c0 -1 .1 -1.4 -.5 -2c2.8 -.3 5.5 -1.4 5.5 -6a4.6 4.6 0 0 0 -1.3 -3.2a4.2 4.2 0 0 0 -.1 -3.2s-1.1 -.3 -3.5 1.3a12.3 12.3 0 0 0 -6.2 0c-2.4 -1.6 -3.5 -1.3 -3.5 -1.3a4.2 4.2 0 0 0 -.1 3.2a4.6 4.6 0 0 0 -1.3 3.2c0 4.6 2.7 5.7 5.5 6c-.6 .6 -.6 1.2 -.5 2v3.5" />
          </svg>
          <a href="https://github.com/jorbush">Jordi Bonet</a>
        </footer>
      </div>
    );
  }
}
export default Settings;