import * as React from 'react';
import { useEffect, useState } from "react";
import CssBaseline from '@mui/material/CssBaseline';
import Container from '@mui/material/Container';
import {createTheme, ThemeProvider} from '@mui/material/styles';
import Paper from "@mui/material/Paper";
import Header from '../component/header/header';
import { Navigate, useLocation, useNavigate } from 'react-router-dom';
import HomeWordle from '../component/wordle/HomeWordle';
import Wordle from '../component/wordle/Wordle';
import { Box } from '@material-ui/core';
import { checkIfWalletIsConnected } from '../component/metamask-auth/connect';
import { ethers } from 'ethers';
import { HostPath } from '../constants/constants';
import axios from 'axios';
import HelpHowToPlay from '../component/how-to-play/HelpHowToPlay';
import About from '../component/About/About';

const theme = createTheme();
const themeLight = createTheme({
  palette: {
      background: {
          default: "#FDF1D7"
      }
  }
});

export default function AboutPage() {

  const [light, setLight] = React.useState(true);
  const location = useLocation();
  const navigate = useNavigate();

  return (
      <ThemeProvider theme={themeLight}>
          <Header/>
          <Box
              sx={{
              mx: 'auto',
              p: 1,
              paddingTop: '70px',
              background: "#FDF1D7"
              }}
          >
            <About navigate={navigate}/>
              
          </Box>
      </ThemeProvider>
  );
} 