import * as React from 'react';
import CssBaseline from '@mui/material/CssBaseline';
import Container from '@mui/material/Container';
import {createTheme, ThemeProvider} from '@mui/material/styles';
import Paper from "@mui/material/Paper";
import Header from '../component/header/header';
import { useLocation } from 'react-router-dom';
import SendETH from '../component/send-eth/SendETH';
import '../component/metamask-auth/login-metamask.css';

const themeWordleCrypto = createTheme({
    palette: {
        background: {
            default: "#FDF1D7"
        }
    }
});

const themeDark = createTheme({
    palette: {
        background: {
            default: "#2D2D2D"
        },
        text: {
            primary: "#FAF8FF"
        }
    }
});

export default function SendEthereum() {

    const [light, setLight] = React.useState(true);
    const location = useLocation();
    //console.log(location.state.address)

    return (
        <ThemeProvider theme={light ? themeWordleCrypto : themeDark}>
            <CssBaseline/>
            <Container maxWidth="lg" style={{paddingBottom: "3em"}}>
                <Header userAddress={''}/>
                <SendETH/>
            </Container>
        </ThemeProvider>
    );
}